Subject: Linking with OpenGL, glut
From: "Braden McDaniel" <[email-masked]>
To: [email-masked]
Date: Tue, 12 Nov 2002 12:08:23 -0500

I'm having some trouble with the directions in README.txt in the OpenGL
docs. They indicate one should use "-lopengl32"; however, that's not working
for me. Here is the excerpt from my config.log:

---
configure:16198: gcc -o conftest.exe -g -O2 -I/usr/X11R6/include
conftest.c -lopengl32 -L/usr/X11R6/lib  -lm  >&5
/cygdrive/c/DOCUME~1/Braden/LOCALS~1/Temp/ccef6CMT.o(.text+0x1d): In
function `main':
/home/Braden/src/openvrml/openvrml/BUILD/configure:16190: undefined
reference to `_glBegin'
collect2: ld returned 1 exit status
configure:16201: $? = 1
configure: failed program was:
#line 16170 "configure"
#include "confdefs.h"

# ifdef _WIN32
#   include <windows.h>
# endif
# ifdef HAVE_OPENGL_GL_H
#   include <OpenGL/gl.h>
# else
#   include <GL/gl.h>
# endif

#ifdef F77_DUMMY_MAIN
#  ifdef __cplusplus
     extern "C"
#  endif
   int F77_DUMMY_MAIN() { return 1; }
#endif
int
main ()
{
glBegin(0)
  ;
  return 0;
}
---

There's a similar problem with using -lglu32. However, -lGL works and -lGLU
works. So I wouldn't be complaining at all if I could figure out how to link
with glut. Neither "-lglut32 -lGLU -lGL" nor "-lglut -lGLU -lGL" works. Any
ideas?

Braden

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/